* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: "Poppins", sans-serif;
}

body, html {
    height: 100%;
    overflow: hidden; /* Previene el scroll */
}

.container {
    display: flex;
    height: 100vh;
    position: relative;
}

.header {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    height: 100px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: transparent;
    z-index: 1;
}

.header img {
    height: 100%;
}

.left {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #ffffff;
}

.left img {
    max-width: 50%;
    max-height: 50%;
}

.right {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #132D60;
    color: white;
}

.login-form {
    display: flex;
    flex-direction: column;
    border: 1px solid rgb(4, 11, 22);
    border-radius: 10px;
    padding: 25px;
    width: 80%;
    max-width: 500px;
    font-size: 20px;
}

.login-form h2 {
    margin-bottom: 30px;
    margin-top: 15px;
    text-align: center;
}

.login-form label {
    margin-bottom: 10px;
}

.login-form input {
    margin-bottom: 15px;
    padding: 10px;
    border: none;
    border-radius: 10px;
}

.login-form button {
    padding: 10px;
    margin-top: 15px;
    background-color: #040B16;
    border: none;
    border-radius: 10px;
    color: white;
    cursor: pointer;
    font-size: 20px;
}

.login-form button:hover {
    background-color: #E8B321;
}

.forgotpass {
    /* Estilos existentes para la sección 5 */
    font-size: 12px;
    color: white;
    padding: 1px;
    /*border: 1px solid #000000;*/
    display: flex;
    justify-content: flex-end;
  }

  .forgot-pass-link {
    color: white;
  }

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 20px;
    background-color: transparent;
    text-align: center;
    z-index: 1;
}

.footer p {
    color: #040B16;
    font-size: 16px;
    line-height: 20px; /* Alinea el texto verticalmente */
    opacity: 0.7; /* Ajusta la transparencia del texto */
}

.header1 {
    height: 55px;
    background-color: #132D60;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 210px;
    position: relative;
}

.header1 h1 {
    font-size: 36px;
    text-align: center;
    flex: 1;
}

.search-container {
    margin-top: 20px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

.search-bar {
    width: 50%;
    height: 50px;
    border: 2px solid #ddd;
    padding: 0 50px 0 20px;
    font-size: 18px;
    border-radius: 10px;
    position: relative;
}

.search-icon {
    position: absolute;
    right: calc(25% + 10px);
    top: 50%;
    transform: translateY(-50%);
    width: 30px;
    height: 30px;
    cursor: pointer;
}

/* Solución para el menú */
.logo {
    position: relative;
    height: 50px;
    width: 50px;
    margin-left: auto;
    cursor: pointer;
}

.default-logo {
    height: 50px;
    width: 50px;
    transition: all 0.5s;
}

.hover-logo {
    display: none;
    width: 250px;
    height: 50px;
    transition: all 0.5s;
}

.logo:hover .default-logo {
    display: none;
}

.logo:hover .hover-logo {
    display: block;
}

.menu {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: #fff;
    width: 250px;
    /*border: 1px solid #ddd;*/
    z-index: 1;
    opacity: 0.9; /* Optional: Adjust opacity */
}

.logo:hover .menu, .menu:hover {
    display: block;
}

.menu ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.menu ul li {
    padding: 10px;
    position: relative;
}

.menu ul li a {
    display: block;
    text-decoration: none;
    color: #333;
}

.menu ul li:hover {
    background-color: rgba(255, 255, 255, 0.1);
}

.menu ul li a:hover {
    color: #007bff;
}

.submenu {
    display: none;
    position: absolute;
    right: 100%;
    top: 0;
    background-color: transparent;
    list-style: none;
    padding: 10px;
    /*border: 1px solid #ddd;*/
    width: 220px;
    /*box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.2);*/
    z-index: 1;
    opacity: 0.9; /* Optional: Adjust opacity */
}

.menu li:hover .submenu {
    display: block;
}

.submenu li a {
    display: block;
    padding: 10px;
}

.submenu li:hover {
    background-color: rgba(255, 255, 255, 0.025);
}

.submenu li a:hover {
    color: #ff5733;
}

.background-image {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: url('media/InventoryBackground.svg') no-repeat center center;
    background-size: cover;
    z-index: -1;
}

#results {
    margin-top: 20px;
    max-height: 300px;
    overflow-y: auto;
    /*border: 1px solid #ddd;*/
    border: none; /* Si no deseas bordes */
    background-color: #fff;
    padding: 10px;
}

#results div {
    padding: 10px;
    /*border-bottom: 1px solid #ddd;*/
    border-bottom: none; /* Si no deseas la línea */
}

#results div:hover {
    background-color: #f0f0f0;
}

/* Organizar el formulario en dos partes */
.ANPtitle {
    text-align: center;
    color: #132D60;
    font-size: 30px;
    margin-top: 10px;
}

.form-left label, .form-left input {
    display: block;
    width: 85%; /* Ajusta a un tamaño razonable */
    margin-bottom: 10px; /* Ajusta el espacio entre campos */
}

.form-right label, .form-right input {
    display: block;
    width: 85%; /* Ajusta a un tamaño razonable */
    margin-bottom: 10px; /* Ajusta el espacio entre campos */
}

.form-left {
    width: 60%; /* Ajusta el ancho para que los campos no se vean amontonados */
    float: left;
    padding-right: 20px; /* Agrega un margen a la derecha */
    padding-left: 100px;
    margin-top: 5px;
}

.form-right {
    width: 35%;
    float: left;
    margin-top: 5px;
}

#image {
    display: block;
    margin: 10px auto; /* Centra el botón de archivo */
}

#long_description {
    display: block;
    width: 100%;
    margin-top: 15px; /* Asegura espacio después del botón de archivo */
    height: 100px; /* Ajusta la altura de la caja de texto según sea necesario */
}

.image-preview-container {
    width: 100%;
    height: 480px; /* Ajustar altura del recuadro de imagen */
    border: 1px solid #ddd;
    display: flex;
    justify-content: center;
    align-items: center;
}

.image-preview-container img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}

.form-bottom {
    clear: both;
    text-align: center;
}

.butsubmit {
    padding: 10px 20px;
    background-color: #132D60;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 20px;
    width: 500px;
    margin-top: 45px;
}

.butsubmit:hover {
    background-color: #E8B321;
}

/* Ajustar bordes redondeados y anchura */
.form-left input, 
.form-left textarea,
.form-right input, 
.form-right textarea {
    border-radius: 5px;
    width: 90%; /* Ajustar a un tamaño razonable */
    padding: 7px;
    border: 1px solid #ddd;
}

/* Labels con fuente más negra */
.form-left label, .form-right label {
    font-weight: bold; /* Cambia la opacidad de la fuente */
}

@media (max-width: 992px) {
    .header img {
        width: 80%;
    }

    .left img {
        max-width: 80%;
        max-height: 80%;
    }

    .login-form {
        max-width: 450px;
        font-size: 18px;
    }

    .search-bar {
        width: 70%;
    }
}

@media (max-width: 768px) {
    .container {
        flex-direction: column;
        height: auto;
    }

    .left, .right {
        width: 100%;
        flex: none;
    }

    .header {
        height: 80px;
        padding: 0 20px;
    }

    .login-form {
        width: 90%;
        font-size: 16px;
        padding: 15px;
    }

    .login-form h2 {
        font-size: 24px;
    }

    .search-bar {
        width: 80%;
    }

    .menu {
        width: 100%;
        right: 0;
    }
}

@media (max-width: 480px) {
    .header {
        height: 60px;
        padding: 0 10px;
    }

    .header img {
        height: 80%;
    }

    .login-form {
        width: 100%;
        padding: 15px;
    }

    .login-form h2 {
        font-size: 20px;
    }

    .login-form button {
        font-size: 18px;
        padding: 8px;
    }

    .left img {
        max-width: 90%;
        max-height: 90%;
    }

    .search-bar {
        width: 90%;
    }

    .menu {
        width: 100%;
    }

    .menu ul li {
        padding: 5px 10px;
    }
}